/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SessionFacadeRemote.java 1970 2007-10-16 11:49:25Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.entitybean;

/**
 * Simple interface for a session facade bean.
 * @author Florent Benoit
 */
public interface SessionFacadeRemote {

    /**
     * Adds an employee.
     * @param id of the employee
     * @param name of the employee
     * @throws RemoteException
     */
    void addEmployee(final int id, final String name);

    /**
     * Finds the Employee with its given id.
     * @param id to find the employee
     * @return employee associated to the given id
     * @throws RemoteException
     */
   Employee findEmployee(final int id);

}
